<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Show Book</title>
</head>
<body>
<p th:text="${book.getBookName() + ', ' + book.getAuthor() + ', '  + book.getYear()}">VALUE</p>

     <div th:if="${book.owner eq null}">
         <form th:method="PATCH" th:action="@{/books/addOwner}">
             <span style="font-weight: bold;">Эта книга свободна</span>
             <br/>
             <label for="bookOwner"> Выберите пользователя книги:</label>
             <select th:object="${bookOwner}" th:field="*{id}" id="bookOwner">
                 <option th:each="bookOwner : ${personList}" th:value="${bookOwner.getId()}"
                         th:text="${bookOwner.getName()}"></option>
             </select>

             <input type="submit" value="Назначить владельцем книги">
             <input type="hidden" name="bookId" th:value="${book.getId()}">

     </div>
     <div th:if="${book.owner != null}">
         <p>
             <span style="font-weight: bold;">Книгой сейчас владеет:</span>
             <span th:text="${book.getOwner().getName()}"></span>
         </p>
         <form th:method="PATCH" th:action="@{/books/deleteOwner}">
             <input type="hidden" name="bookId" th:value="${book.getId()}">
             <input type="submit" value="Убрать владельца">
         </form>
     </div>
</form>
<a th:href="@{/books/{id}/edit(id=${book.getId()})}">Edit</a>
<br/><br/>
<form th:method="DELETE" th:action="@{/books/{id}(id=${book.getId()})}">
    <input type="submit" value="Delete"/>
</form>
</body>
</html>